org.apache.lucene.codecs.cranky

## Class CrankyCodec

- java.lang.Object
- - org.apache.lucene.codecs.Codec
  - - org.apache.lucene.codecs.FilterCodec
    - - org.apache.lucene.codecs.cranky.CrankyCodec

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public class CrankyCodec
    extends FilterCodec

Codec for testing that throws random IOExceptions

### Field Summary

### Fields inherited from class org.apache.lucene.codecs.FilterCodec

`delegate`

### Constructor Summary

Constructors
Constructor and Description
`CrankyCodec(Codec delegate, Random random)` Wrap the provided codec with crankiness.

### Method Summary

All Methods Instance Methods Concrete Methods
`CompoundFormat` `compoundFormat()`
`DocValuesFormat` `docValuesFormat()`
`FieldInfosFormat` `fieldInfosFormat()`
`LiveDocsFormat` `liveDocsFormat()`
`NormsFormat` `normsFormat()`
`PointsFormat` `pointsFormat()`
`PostingsFormat` `postingsFormat()`
`SegmentInfoFormat` `segmentInfoFormat()`
`StoredFieldsFormat` `storedFieldsFormat()`
`TermVectorsFormat` `termVectorsFormat()`
`String` `toString()`

### Methods inherited from class org.apache.lucene.codecs.Codec

`availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CrankyCodec

    public CrankyCodec(Codec delegate,
                       Random random)

Wrap the provided codec with crankiness. Try passing Asserting for the most fun.

### Method Detail

#### docValuesFormat

    public DocValuesFormat docValuesFormat()

Overrides:
  `docValuesFormat` in class `FilterCodec`

#### fieldInfosFormat

    public FieldInfosFormat fieldInfosFormat()

Overrides:
  `fieldInfosFormat` in class `FilterCodec`

#### liveDocsFormat

    public LiveDocsFormat liveDocsFormat()

Overrides:
  `liveDocsFormat` in class `FilterCodec`

#### normsFormat

    public NormsFormat normsFormat()

Overrides:
  `normsFormat` in class `FilterCodec`

#### postingsFormat

    public PostingsFormat postingsFormat()

Overrides:
  `postingsFormat` in class `FilterCodec`

#### segmentInfoFormat

    public SegmentInfoFormat segmentInfoFormat()

Overrides:
  `segmentInfoFormat` in class `FilterCodec`

#### storedFieldsFormat

    public StoredFieldsFormat storedFieldsFormat()

Overrides:
  `storedFieldsFormat` in class `FilterCodec`

#### termVectorsFormat

    public TermVectorsFormat termVectorsFormat()

Overrides:
  `termVectorsFormat` in class `FilterCodec`

#### compoundFormat

    public CompoundFormat compoundFormat()

Overrides:
  `compoundFormat` in class `FilterCodec`

#### pointsFormat

    public PointsFormat pointsFormat()

Overrides:
  `pointsFormat` in class `FilterCodec`

#### toString

    public String toString()

Overrides:
  `toString` in class `Codec`